/*
 * Copyright(c) 2007 Intel Corporation. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU General Public License,
 * version 2, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Maintained at www.Open-FCoE.org
 */

#ifndef _OFC_DBG_H_
#define _OFC_DBG_H_

#define OFC_DEBUG 1

#ifdef OFC_DEBUG
/*
 * Log message.
 */
#define OFC_DBG(fmt, args...) \
do { \
	printk(KERN_INFO "%s " fmt, __FUNCTION__, ##args);	\
} while (0)
#else
#define OFC_DBG(fmt, args...)
#endif

#endif /* _OFC_DBG_H_ */
