
%{!?KVERSION: %define KVERSION %(uname -r)}
%{!?OFC_CONF_DIR: %define OFC_CONF_DIR /etc/sysconfig/ofc}
%{!?LIB_MOD_DIR: %define LIB_MOD_DIR /lib/modules/%{KVERSION}/updates}
%{!?LIB_MOD_DIR_OFC: %define LIB_MOD_DIR_OFC %{LIB_MOD_DIR}/kernel/drivers/scsi/ofc}

%{!?MLX4_KERNEL_DIR: %define MLX4_KERNEL_DIR /usr/src/ofa_kernel}
%{!?MLX4_KERNEL_INCLUDE: %define MLX4_KERNEL_INCLUDE %{MLX4_KERNEL_DIR}/include}
%{!?KSRC: %define KSRC /lib/modules/%{KVERSION}/build}
%define OFC_MAKEFLAGS KVERSION=%{KVERSION} MLX4_KERNEL_DIR=%{MLX4_KERNEL_DIR} \
				MLX4_KERNEL_INCLUDE=%{MLX4_KERNEL_INCLUDE} KSRC=%{KSRC} \
				MODULES_DIR=%{LIB_MOD_DIR} LANG=C

%{!?_release: %define _release 1%{?dist}}

Summary: Open Fibre Channel module.
Name: mlnx-ofc
Version: 0.0.9
Release: %{_release}
Vendor: Mellanox Technologies Ltd.
Source: %{name}-%{version}.tar.gz
Group: System Environment/Kernel
License: GPLv2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: coreutils
PreReq: kernel
PreReq: kernel-ib-devel

%description
This package provides a OFC kernel module

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
if make %{OFC_MAKEFLAGS}; then
        echo " Building OFC driver finished successfully"
else
        echo " Building OFC driver failed"
	exit 1
fi

%install
make install DESTDIR=$RPM_BUILD_ROOT %{OFC_MAKEFLAGS}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -r -ae %{KVERSION}

%postun
/sbin/depmod -r -ae %{KVERSION}

%files 
%dir %{LIB_MOD_DIR_OFC}
%{LIB_MOD_DIR_OFC}/openfc.ko
%{LIB_MOD_DIR_OFC}/mlx4_fc.ko
%{LIB_MOD_DIR_OFC}/mlx4_ofc.ko

%changelog
* Wed May  7 2008 Vladimir Sokolovsky <vlad@mellanox.co.il>
- Initial packaging
